[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: nvidia-glx removes x-server???

On 1/12/06, Austin Denyer <adenyer@ekn.com> wrote:

On Thu, 12 Jan 2006 12:25:57 -0500
Andrew Syrewicze <asyrewicze@gmail.com> wrote:
> On 1/12/06, Lennart Sorensen < lsorense@csclub.uwaterloo.ca> wrote:
> >
> > On Thu, Jan 12, 2006 at 12:18:45PM -0500, Andrew Syrewicze wrote:
> > > Well The packages are there, whether or not their up to date still
> > remains
> > > to be seen.  I'm gonna look first thing when i get out of work.
> >
> > The only nvidia packages on amd64.debian.net appear to be 7174.
> > Those are too old, and hence not compatible with the latest x.org
> > packages.  I wonder if anyone has access to update non-free, since
> > I don't think it is auto built.
> >
> > Len Sorensen
> >
> Well, That's interesting. Guess i'll have to use the nv driver until a
> developer ports the latest version. Guess i could always go back to
> testing too. That still works as far as I know. Alright, thanks for
> the help guys...

I get the same thing here.

For me it's no big deal as I don't need 3d or 3000+FPS in GLXgears, so
I'm fine with the vesa driver...

Here's the output for me:

dev04:/upgrade/Thu# apt-get install -s nvidia-glx
Reading package lists... Done
Building dependency tree... Done
The following packages will be REMOVED
The following NEW packages will be installed
0 upgraded, 1 newly installed, 1 to remove and 6 not upgraded.
Remv xserver-xorg [6.9.0.dfsg.1-3]
Inst nvidia-glx (1.0.7174-3 Debian AMD64 archive:unstable)
Conf nvidia-glx (1.0.7174-3 Debian AMD64 archive:unstable)

dev04:/upgrade/Thu# apt-cache show nvidia-glx | more
Package: nvidia-glx
Priority: optional
Section: non-free/x11
Installed-Size: 10072
Maintainer: Randall Donald <rdonald@debian.org>
Architecture: amd64
Source: nvidia-graphics-drivers
Version: 1.0.7174-3
Replaces: nvidia-glx-src
Provides: xserver
Depends: nvidia-kernel-1.0.7174, xserver-common (>= 4.0.3),
xlibmesa-glu | libglu | libglu1, libc6 (>= 2.3.2.ds1-4) Recommends:
nvidia-kernel-source (>= 1.0.7174) Suggests: nvidia-settings
Conflicts: nvidia-glx-src
Size: 3571596 MD5sum: 954b404f7ad0af3b96094887da3a8d2e
Description: NVIDIA binary XFree86 4.x driver
These XFree86 4.0 binary drivers provide optimized hardware
acceleration of OpenGL applications via a direct-rendering X Server and
support the TNT, TNT2, TNT Ultra, GeForce, nForce and Quadro chipsets.
AGP, TV-out and flat panel displays are also supported.
Please see the nvidia-kernel-source package for building the kernel
module required by this package.
Tag: devel::library, hardware::video


yeah that looks about right. Now, I was thinking. There should be a way to compile nvidia-glx from source right??    Anyone know how to go about doing this the debian way??? done it in gentoo before, but never the debian way. (debian way=the right way) :-D.


Reply to: